@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Code:ital,wght@0,300..800;1,300..800&display=swap');

/* CSS Document */

body {
  min-height: 100vh;
  min-height: -webkit-fill-available;
  overflow: hidden;
}

html {
  height: -webkit-fill-available;
}

body,html
{
	font-family: "Inter", sans-serif;
	font-style: normal;
	font-weight: 500; 
	font-optical-sizing: auto;
	font-size: 12px;
}

.input-group > .select2-container {
    width: auto;
    flex: 1 1 auto;
}

.input-group.input-group-append > .select2-container .select2-selection--single {
	border-radius: 8px 0px 0px 8px!important;
}

.input-group.input-group-prepend > .select2-container .select2-selection--single {
	border-radius: 0px 8px 8px 0px!important;
}

.font-mono, .list-group-changelog
{
  font-family: "Google Sans Code", monospace!important;
}

.list-group-changelog
{
	font-size: 11px;
}

.list-group, table.table, table.table thead
{
	border-radius: 8px;
}

table.table thead tr:last-child 
{
	border-top-right-radius: 8px!important;
}

#navbar_h
{
	width: 100%;
	display: flex;
	justify-content: space-between;
	border-bottom: 1px solid;
	padding-top: 8px;
	padding-bottom: 8px;
}

#sidebar
{
	position: absolute;
	width: 220px;
	border-right: 1px solid;
	height: calc(100vh - 39px);
}

#navi_left
{
	height: 95vh;	
}

#navi_right
{
	height: 95vh;
}

.mCS_no_scrollbar_y .mobile-padding
{
	padding-right: 24px;
}

.mCSB_container
{
	margin-right: 20px!important;
}

.attribute-timer
{
	padding-top: 1px;
}

.content-container
{
	padding-left: 240px;
	height: calc(100vh - 39px);
	padding-right: 4px!important;
	font-size: 13px;
	padding-bottom: 24px;
	padding-top: 12px;
}

.mt-15 
{
	margin-top: 4px;
}

.navbar-avatar
{
	height: 28px;
	width: 28px;
}

.sidebar-avatar
{
	height: 46px;
	width: 46px;
}

#navbar_h .nav-item
{
	height: 100%;
}

.modal-title
{
	font-size: 12px!important;
}

.modal-body
{
	font-size: 12px;
	padding-top: 6px;
	padding-bottom: 12px;
	padding-left: 24px;
	padding-right: 24px;
}

.modal-backdrop
{
	opacity: 0.8!important;
}

.modal-header
{
	border-bottom-width: 0px!important;
}

.modal-footer
{
	padding-top: 8px!important;
	border-top-width: 0px!important;
}

#navbar_h .nav-link
{
	font-weight: 500;
	border-radius: 8px;
	padding-top: 8px;
	padding-bottom: 8px;
	margin-right: 6px;
}

.nav-item-subheader
{
	font-size: 10px;
	font-weight: 600;
	opacity: 0.7;
	text-transform: uppercase;
	padding-left: 8px;
	margin-bottom: 4px;
}

.dropdown-menu
{
	min-width: 195px!important;
	padding-left: 0px;
	padding-right: 0px;
	border-radius: 8px;
}

.dropdown-item, .dropdown-item:hover, .dropdown-label, .select2-results__option
{
	cursor: default;
	border-radius: 8px;
}

.dropdown-item
{
	display: flex;
	justify-content: space-between;
}

.dropdown-item .fa-fw
{
	margin-top: 3px;
	margin-left: 8px;
	opacity: 0.7;
}

#sidebar .progress
{
	height: 9px!important;
}

.dropdown-item, .dropdown-label, .select2-results__option
{
	font-weight: 400;
	padding-top: 6px!important;
	padding-bottom: 6px!important;
	margin-left: 4px;
	margin-right: 4px;
	width: auto;
	font-size: 12px;
}

.dropdown-label
{
	font-weight: 600;
	font-size: 11px;
	display: inline-block;
	text-transform: uppercase;
	text-overflow: ellipsis;
	padding-left: 1rem;
	padding-right: 1rem;
}

.sidenav .nav-item
{
	display: block;
	width: 100%;
}

.sidenav .nav-link
{
	display: inline-block;
	text-overflow: ellipsis;
	padding-left: 8px;
	padding-right: 4px;
	padding-top: 6px;
	padding-bottom: 6px;
	margin-left: 4px;
	margin-right: 4px;
	border-radius: 8px;
	width: 100%;
	font-size: 13px;
}

.popover
{
	border-radius: 8px;
	border-width: 1px;
	border-style: solid;
}

.popover-body
{
	border-radius: 0px 0px 7px 7px!important;
}

.sidenav .nav-link .fa-fw
{
	opacity: 0.5;	
}

.sidenav .nav-link.active .fa-fw
{
	opacity: 1;	
}

.sidenav .nav-link.disabled
{
	opacity: 0.3;
}

.sidenav .fa-fw
{
	margin-right: 5px;
}

.btn
{
	padding-top: 8px;
	padding-bottom: 8px;
	border-radius: 8px;
	font-size: 12px;
	font-weight: 500;
	padding-left: 12px;
	padding-right: 12px;
	cursor: default!important;
}

.page-link
{
	cursor: default;
}

.page-link.active
{
	font-weight: bold;
}

.btn-lg
{
	padding-top: 10px;
	padding-bottom: 10px;
	font-size: 13px;
}

.btn-sm
{
	padding-top: 6px;
	padding-bottom: 6px;
	font-size: 11px;
}

.btn-xl
{
	padding-top: 12px;
	padding-bottom: 12px;
	font-size: 14px;
}

.btn-xs
{
	padding-top: 4px;
	padding-bottom: 4px;
	font-size: 10px;
}

.btn-close
{
	padding: 6px!important;
    background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e") center/0.7em auto no-repeat;
}

.form-control
{
	padding-top: 8px!important;
	padding-bottom: 8px!important;
	font-size: 12px!important;
	font-weight: 400!important;
	padding-left: 12px!important;
	padding-right: 12px!important;
	border-radius: 8px!important;
}

.select2-container--default .select2-selection--single
{
	border-radius: 8px!important;
}

.badge
{
	font-size: 11px;
}

.btn.disabled, .btn[disabled], .select2-container--disabled
{
	opacity: 0.3;
	pointer-events: none;
}

.input-group-prepend .input-group-text
{
	border-radius: 8px 0px 0px 8px!important;
	border-right-width: 0px;
	
}

.input-group-append input
{
	border-radius: 8px 0px 0px 8px!important;
	border-right-width: 0px;
	padding-right: 2px!important;
}

.input-group-append .input-group-text
{
	border-radius: 0px 8px 8px 0px!important;
	border-left-width: 0px;
}

.input-group-prepend input
{
	border-radius: 0px 8px 8px 0px!important;
	border-left-width: 0px;
	padding-left: 2px!important;
}

.select2-container .select2-selection--single
{
	cursor: default!important;
}

.select2-results
{
	padding-top: 4px;
	padding-bottom: 4px;
}

.select2-dropdown
{
	border-radius: 8px!important;
	margin-top: 4px!important;
	margin-bottom: 4px!important;
	border: 1px solid;
}

.select2-container--open
{
	z-index: 7777!important;
}

.select2-container .select2-selection--single
{
	height: auto!important;
	padding-top: 3px;
	padding-bottom: 3px;
}

.select2-selection__arrow
{
	margin-top: 5px;
}

label.col-form-label
{
	padding-top: 8px!important;
}

input[type="file"]
{
	padding-left: 16px!important;
}

.dropdown-item .float-end
{
	margin-top: 1px;
}

.form-group
{
	margin-bottom: 8px;
}

.card, .modal-content, .card-footer, .card-body, .modal-body
{
	border-radius: 8px!important;
}

 .card-header, .modal-header
{
	border-radius: 8px 8px 0px 0px!important;
}

.select2-selection__rendered
{
	font-size: 12px!important;
}

.modal-header
{
	font-size: 14px!important;
	font-weight: 600;
}

.modal-header .fa-fw
{
	margin-right: 6px;
}

.card
{
	margin-bottom: 16px;
}

.toast
{
	min-width: 340px!important;
	margin-bottom: 2px;
	border-width: 1px;
	border-top-width: 0px;
	border-style: solid;
	padding-top: 4px!important;
}

.select2-container .select2-selection--single .select2-selection__rendered
{
	padding-left: 12px!important;
}

#toaster
{
	position: fixed;
	top: -4px;
    right: 0;
    left: 0;
	display: inline-flex;
	flex-direction: column;
	align-self: center;
	justify-content: center;
	z-index: 9999;
	min-height: 2px;
	width: 30%;
	margin-left: 35%;
}

.toast
{
    margin-right: auto;
    margin-left: auto;
	width: 100%;
	font-size: 12px;
	text-align: center;
}

.toast-border
{
	border-top: 1px solid;
}

.mobile-phone-bg-default
{
	background: #3F5EFB;
	background: radial-gradient(circle,rgba(63, 94, 251, 1) 0%, rgba(252, 70, 107, 1) 100%);
}

.breadcrumb-item.active
{
	font-weight: 500;
	font-size: 13px;
}

.table
{
	font-size: 12px;
	border: 1px solid;
}

.table td
{
	vertical-align: middle!important;
}


.btn-link.item-info
{
	cursor: default!important;
}

.auctbay
{
	--fa-primary-color: #e74c3c;
	--fa-secondary-color: #27ae60;	
	--fa-primary-opacity: 1;
	--fa-secondary-opacity: 1;
}

.site-notification
{
	opacity: 0.5;
	font-weight: 400;
}

.site-notification.unread
{
	opacity: 1;
}

.nav-tabs
{
	width: auto;
	display: inline-flex;
	border-radius: 8px;
	padding: 4px;
	border-width: 0px;
}

.list-group-item:first-child
{
	border-radius: 8px 8px 0px 0px!important;
}

.card > .list-group:last-child 
 {
	border-radius: 8px!important;
 }

.list-group > a.list-group-item:last-of-type
{
	border-radius: 0px 0px 8px 8px!important;
}

.nav-tabs .nav-link
{
	border-radius: 8px;
}

.form-control.form-control-sm
{
	padding-top: 5px!important;
	padding-bottom: 5px!important;
	font-size: 12px!important;
}

.neon-text {
    color: #f8f8f8;
    text-shadow: 0 0 5px #ff005e, 0 0 10px #ff005e, 0 0 20px #ff005e, 0 0 40px #ff005e, 0 0 80px #ff005e;
    animation: neonglow 1.5s infinite alternate;
}

.bg-casino-table
{
	background: #35654d!important;
}

@keyframes neonglow {
    0% {
        text-shadow: 0 0 5px #ff005e, 0 0 10px #ff005e, 0 0 20px #ff005e, 0 0 40px #ff005e, 0 0 80px #ff005e;
    }
    100% {
        text-shadow: 0 0 10px #00d4ff, 0 0 20px #00d4ff, 0 0 40px #00d4ff, 0 0 80px #00d4ff, 0 0 160px #00d4ff;
    }
}

.pt-1px
{
	padding-top: 1px!important;	
}

.my-1px
{
	margin-top: 1px!important;
	margin-bottom: 1px!important;
}

/* Duotone colours */
.duotone-bobb
{
	--fa-primary-color: #F14444;
	--fa-secondary-color: #5fce6c;
	--fa-secondary-opacity: 0.8;
}

.nav-branding
{
	width: 220px;
}

.navbar-nav .nav-link.active, .navbar-nav .show>.nav-link
{
	font-weight: bold;
}

/* Responsive side menu etc */
@media only screen and (max-width: 768px) 
{
	
.inventory-item-card
{
	max-width: 190px;
}	
	
  #navi_left
  {
	display: none!important;
  }

  body.left-sidebar-open #navi_left
  {
	display: inline-block;
  }

  #navi_right
  {
	display: none!important;
  }

  body.left-sidebar-open #navi_right
  {
	display: inline-block;
  }

  .nav-branding
  {
	width: 100px;
  }
	
	#navbar_h .nav-item
	{
		height: auto!important;
	}
	
	#navbar_h .nav-item .nav-link
	{
		margin-left: 5px;
		margin-right: 5px;
		padding-left: 5px;
		padding-right: 5px;
	}
	
  .content-container
  {
	 padding-left: 16px;
  }
	
  .toast
  {
	width: 96vh!important;
  }
	
}

@media only screen and (max-width: 1300px) 
{
	
	.city-map-scrollable
	{
		overflow-x: scroll;
		overflow-y: scroll;
	}
	
	.scratchcard
	{
		max-width: 100%!important;
		display: block!important;
	}
}

.bg-none
{
	background: rgba(0,0,0,0.01)!important;
	background-color: transparent!important;
}

.badge
{
	cursor: default;
}

/* ===== Modern Thin Scrollbar ===== */

/* Chromium + Safari */
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: rgba(120, 120, 120, 0.4);
  border-radius: 999px;
  border: 2px solid transparent; /* creates padding effect */
  background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {
  background: rgba(60, 60, 60, 0.85);
}

/* Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: rgba(120, 120, 120, 0.25) transparent;
}

.invisible-scrollbar {
  /* keep scrolling behavior */
  overflow-y: scroll!important;
  overflow-x: hidden!important;

  /* Firefox */
  scrollbar-width: none;

  /* IE / old Edge */
  -ms-overflow-style: none;
}

/* Chrome / Safari / Edge (Chromium) */
.invisible-scrollbar::-webkit-scrollbar {
  display: none;
}

.table-datatable
{
	font-size: 12px;
}

.table-datatable th
{
	font-size: 12px;
	padding-top: 6px;
	padding-bottom: 6px;
}

.table-datatable td
{
	padding-top: 6px;
	padding-bottom: 6px;
}

.btn:active {
  transform: translateY(1px);
}

.br-top-left
{
	border-radius: 8px 0px 0px 0px!important;
}

.br-top-right
{
	border-radius: 0px 8px 0px 0px!important;
}

.br-bottom-left
{
	border-radius: 0px 0px 0px 8px!important;
}

.br-bottom-right
{
	border-radius: 0px 0px 8px 0px!important;
}

.br-top-0
{
	border-radius: 0px 0px 8px 8px!important;
}

.br-bottom-0
{
	border-radius: 8px 8px 0px 0px!important;
}

.scratchcard
{
	width: 100%;
	max-width: 640px;
	height: 330px!important;
}